## WebKitNavigationPolicyDecision WebKitNavigationPolicyDecision — A policy decision for navigation actions |

## Functions

WebKitNavigationAction * | webkit_navigation_policy_decision_get_navigation_action ()
const gchar * | webkit_navigation_policy_decision_get_frame_name ()

## Properties

gchar * | frame-name | Read
WebKitNavigationAction * | navigation-action | Read

## Types and Values

struct | WebKitNavigationPolicyDecision
enum | WebKitNavigationType

## Object Hierarchy

        GObject
        ╰── WebKitPolicyDecision
            ╰── WebKitNavigationPolicyDecision

## Description

WebKitNavigationPolicyDecision represents a policy decision for events associated with navigations. If the value of “mouse-button” is not 0, then the navigation was triggered by a mouse event.

## Functions

### webkit_navigation_policy_decision_get_navigation_action ()

    WebKitNavigationAction *
    webkit_navigation_policy_decision_get_navigation_action
                                   (WebKitNavigationPolicyDecision *decision);

Gets the value of the “navigation-action” property.

#### Parameters

decision | a WebKitNavigationPolicyDecision |

#### Returns

The WebKitNavigationAction triggering this policy decision.

[transfer none]

Since: 2.6

### webkit_navigation_policy_decision_get_frame_name ()

    const gchar *
    webkit_navigation_policy_decision_get_frame_name
                                   (WebKitNavigationPolicyDecision *decision);

Gets the value of the “frame-name” property.

#### Parameters

decision | a WebKitNavigationPolicyDecision |

#### Returns

The name of the new frame this navigation action targets or `NULL`

## Types and Values

### struct WebKitNavigationPolicyDecision

    struct WebKitNavigationPolicyDecision;

### enum WebKitNavigationType

Enum values used to denote the various navigation types.

#### Members

WEBKIT_NAVIGATION_TYPE_LINK_CLICKED | The navigation was triggered by clicking a link. |
WEBKIT_NAVIGATION_TYPE_FORM_SUBMITTED | The navigation was triggered by submitting a form. |
WEBKIT_NAVIGATION_TYPE_BACK_FORWARD | The navigation was triggered by navigating forward or backward. |
WEBKIT_NAVIGATION_TYPE_RELOAD | The navigation was triggered by reloading. |
WEBKIT_NAVIGATION_TYPE_FORM_RESUBMITTED | The navigation was triggered by resubmitting a form. |
WEBKIT_NAVIGATION_TYPE_OTHER | The navigation was triggered by some other action. |

## Property Details

### The `“frame-name”` property

      “frame-name”               gchar *

If this navigation request targets a new frame, this property contains the name of that frame. For example if the decision was triggered by clicking a link with a target attribute equal to "_blank", this property will contain the value of that attribute. In all other cases, this value will be `NULL`.

Flags: Read

Default value: NULL

### The `“navigation-action”` property

      “navigation-action”        WebKitNavigationAction *

The WebKitNavigationAction that triggered this policy decision.

Flags: Read

Since: 2.6

## See Also

WebKitPolicyDecision, WebKitWebView